Bug 1019824 - Review Request: python-dopy - Python client for the Digital Ocean API
Review Request: python-dopy - Python client for the Digital Ocean API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 09:10 EDT by Ralph Bean
Modified: 2013-11-10 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 17:23:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-10-16 09:10:26 EDT
Spec URL: http://ralph.fedorapeople.org//python-dopy.spec
SRPM URL: http://ralph.fedorapeople.org//python-dopy-0.2.2-1.fc19.src.rpm

Description:
Digital Ocean API Python Wrapper
Comment 1 Ralph Bean 2013-10-16 09:10:31 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6065180
Comment 2 Björn "besser82" Esser 2013-10-16 10:18:42 EDT
taken  :)
Comment 3 Björn "besser82" Esser 2013-10-16 10:33:21 EDT
Package has minor issues.  :(

You should add BuildRequires: python-setuptools.
Please remove the hashbang from `manager.py` during %prep.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

     ---> see rpmlint report

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/besser82/shared/fedora/review/1019824-python-
     dopy/licensecheck.txt

     ---> License-tag is fine  :)

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines

     ---> Issues present

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-dopy-0.2.2-1.fc21.noarch.rpm
          python-dopy-0.2.2-1.fc21.src.rpm
python-dopy.noarch: W: no-documentation
python-dopy.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/dopy/manager.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

---> There is documentation inside tarball:
     %doc CHANGES LICENSE README.rst

     Remove the hashbang from the lib's files, please.


Rpmlint (installed packages)
----------------------------
# rpmlint python-dopy
python-dopy.noarch: W: no-documentation
python-dopy.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/dopy/manager.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-dopy (rpmlib, GLIBC filtered):
    python(abi)
    python-requests



Provides
--------
python-dopy:
    python-dopy



Source checksums
----------------
https://pypi.python.org/packages/source/d/dopy/dopy-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : cb2575702414d89cedb7d0a76e822db4ac1da12b2372e8f33bc3051ca7ee4c92
  CHECKSUM(SHA256) upstream package : cb2575702414d89cedb7d0a76e822db4ac1da12b2372e8f33bc3051ca7ee4c92


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1019824
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Please fix those issues and I'll re-review.
Comment 4 Ralph Bean 2013-10-17 21:46:48 EDT
Thanks!  Here's a new release that addresses those two issues:

Spec URL: http://threebean.org/rpm/python-dopy.spec
SRPM URL: http://threebean.org/rpm/python-dopy-0.2.2-2.fc19.src.rpm
Comment 5 Björn "besser82" Esser 2013-10-18 03:14:39 EDT
Unfortunately the hashbang and no-doc issues still persist:

  Rpmlint
  -------
  Checking: python-dopy-0.2.2-2.fc21.noarch.rpm
            python-dopy-0.2.2-2.fc21.src.rpm
  python-dopy.noarch: W: no-documentation
  python-dopy.noarch: E: non-executable-script
    /usr/lib/python2.7/site-packages/dopy/manager.py 0644L /usr/bin/env
  2 packages and 0 specfiles checked; 1 errors, 1 warnings.


  Rpmlint (installed packages)
  ----------------------------
  # rpmlint python-dopy
  python-dopy.noarch: W: no-documentation
  python-dopy.noarch: E: non-executable-script
    /usr/lib/python2.7/site-packages/dopy/manager.py 0644L /usr/bin/env
  1 packages and 0 specfiles checked; 1 errors, 1 warnings.
  # echo 'rpmlint-done:'


You can resolve the hashbang issue by using (your approach somehow doesn't work):

  for lib in ${modname}/*.py; do
   sed '1{/^#!.*/d}' $lib > $lib.new && \
   touch -r $lib $lib.new &&            \
   mv $lib.new $lib
  done


and the no-doc issue is solved by adding:

  %doc CHANGES LICENSE README.rst


Please make those changes and I can approve.  :)
Comment 6 Ralph Bean 2013-10-18 22:47:16 EDT
Got it!  Here's a third release including docs and fixing the hashbang issue.

Spec URL: http://threebean.org/rpm/python-dopy.spec
SRPM URL: http://threebean.org/rpm/python-dopy-0.2.2-3.fc19.src.rpm

In case you were wondering, *both* your and my snippets for removing the hashbang failed.  The reason:  we both had a typo for ${modname} where we should have %{modname}.
Comment 7 Björn "besser82" Esser 2013-10-19 03:40:29 EDT
Package is fine now  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/besser82/shared/fedora/review/1019824-python-
     dopy/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

     ---> no unitests or testsuite available

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-dopy-0.2.2-3.fc21.noarch.rpm
          python-dopy-0.2.2-3.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-dopy
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-dopy (rpmlib, GLIBC filtered):
    python(abi)
    python-requests



Provides
--------
python-dopy:
    python-dopy



Source checksums
----------------
https://pypi.python.org/packages/source/d/dopy/dopy-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : cb2575702414d89cedb7d0a76e822db4ac1da12b2372e8f33bc3051ca7ee4c92
  CHECKSUM(SHA256) upstream package : cb2575702414d89cedb7d0a76e822db4ac1da12b2372e8f33bc3051ca7ee4c92


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1019824
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 8 Ralph Bean 2013-10-19 09:14:37 EDT
New Package SCM Request
=======================
Package Name: python-dopy
Short Description: Python client for the Digital Ocean API
Owners: ralph
Branches: f20 f19 f18 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-10-19 17:15:34 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-10-20 11:06:31 EDT
python-dopy-0.2.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-dopy-0.2.2-3.fc20
Comment 11 Fedora Update System 2013-10-20 11:06:49 EDT
python-dopy-0.2.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-dopy-0.2.2-3.fc19
Comment 12 Fedora Update System 2013-10-20 11:07:06 EDT
python-dopy-0.2.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-dopy-0.2.2-3.fc18
Comment 13 Fedora Update System 2013-10-20 11:07:23 EDT
python-dopy-0.2.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-dopy-0.2.2-3.el6
Comment 14 Fedora Update System 2013-11-04 12:35:10 EST
python-dopy-0.2.2-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2013-11-04 21:54:17 EST
python-dopy-0.2.2-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-11-04 21:56:49 EST
python-dopy-0.2.2-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Fedora Update System 2013-11-10 02:41:49 EST
python-dopy-0.2.2-3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.